sys.version_info(major=3, minor=10, micro=6, releaselevel='final', serial=0)

### Timing comparison of `int` functions

| Input type        | builtin (ms)       | fastnumbers (ms) |
| ----------------: | -----------------: | ---------------: |
|  Small Int String |  **9.548 ± 0.125** |   11.003 ± 0.178 |
|        Int String | **10.105 ± 0.208** |   11.739 ± 0.350 |
| Medium Int String | **11.495 ± 0.690** |   12.096 ± 0.087 |
|  Large Int String | **16.456 ± 1.849** |   19.369 ± 0.446 |
|               Int |  **5.771 ± 0.241** |    9.186 ± 0.121 |
|             Float | **15.205 ± 0.176** |   19.751 ± 1.484 |

### Timing comparison of `float` functions

| Input type         | builtin (ms)       | fastnumbers (ms)   |
| -----------------: | -----------------: | -----------------: |
|   Small Int String |  **8.527 ± 0.207** |   11.439 ± 0.179   |
|         Int String |  **9.308 ± 0.137** |   11.598 ± 0.130   |
|  Medium Int String | **10.613 ± 0.626** |   11.896 ± 0.237   |
|   Large Int String |   29.491 ± 0.267   | **16.386 ± 0.537** |
| Small Float String |  **8.799 ± 0.165** |   11.690 ± 0.127   |
|       Float String |   26.393 ± 0.793   | **13.220 ± 0.214** |
| Large Float String |   50.519 ± 0.386   | **13.347 ± 0.207** |
|                Int |  **4.763 ± 0.038** |    9.510 ± 0.177   |
|              Float |  **3.964 ± 0.050** |    9.079 ± 0.123   |

### Timing comparison of `int` functions with error handling

| Input type         | try/except (ms)    | regex (ms)     | fastnumbers (ms)   |
| -----------------: | -----------------: | -------------: | -----------------: |
|  Non-number String |   90.966 ± 1.293   | 21.928 ± 0.030 | **16.877 ± 0.055** |
|   Small Int String | **12.827 ± 0.086** | 34.176 ± 0.072 |   16.034 ± 0.034   |
|         Int String | **13.676 ± 0.095** | 36.215 ± 0.057 |   17.309 ± 0.691   |
|  Medium Int String | **14.860 ± 0.052** | 40.369 ± 0.126 |   17.448 ± 0.036   |
|   Large Int String | **19.775 ± 0.077** | 54.799 ± 0.046 |   25.012 ± 0.078   |
| Small Float String |   85.947 ± 0.826   | 24.252 ± 0.035 | **16.923 ± 0.011** |
|       Float String |   90.124 ± 0.645   | 28.578 ± 0.760 | **17.164 ± 0.036** |
| Large Float String |   92.206 ± 0.468   | 28.238 ± 0.028 | **17.282 ± 0.045** |
|                Int |  **9.187 ± 0.087** | 44.301 ± 0.739 |   14.891 ± 1.743   |
|              Float | **18.628 ± 0.024** | 54.239 ± 0.032 |   24.525 ± 0.043   |

### Timing comparison of `float` functions with error handling

| Input type         | try/except (ms)    | regex (ms)     | fastnumbers (ms)   |
| -----------------: | -----------------: | -------------: | -----------------: |
|  Non-number String |   44.421 ± 0.338   | 25.325 ± 0.753 | **17.884 ± 0.048** |
|   Small Int String | **11.822 ± 0.039** | 39.660 ± 0.070 |   16.704 ± 0.037   |
|         Int String | **12.671 ± 0.060** | 41.830 ± 0.065 |   17.008 ± 0.044   |
|  Medium Int String | **13.927 ± 0.047** | 46.387 ± 0.827 |   17.644 ± 0.026   |
|   Large Int String |   33.121 ± 0.089   | 75.708 ± 0.233 | **22.150 ± 0.721** |
| Small Float String | **12.165 ± 0.057** | 39.166 ± 0.773 |   17.111 ± 0.028   |
|       Float String |   30.079 ± 0.038   | 66.766 ± 0.545 | **18.588 ± 0.010** |
| Large Float String |   54.489 ± 0.764   | 94.288 ± 0.079 | **18.800 ± 0.029** |
|                Int |  **8.057 ± 0.074** | 42.961 ± 0.132 |   15.064 ± 0.138   |
|              Float |  **7.527 ± 0.756** | 42.180 ± 0.068 |   20.040 ± 7.655   |

### Timing comparison of `float` (but coerce to `int` if possible) functions with error handling

| Input type         | try/except (ms) | regex (ms)      | fastnumbers (ms)   |
| -----------------: | --------------: | --------------: | -----------------: |
|  Non-number String |  43.998 ± 0.222 |  42.957 ± 0.018 | **18.026 ± 0.027** |
|   Small Int String |  20.408 ± 0.062 |  34.880 ± 0.504 | **17.308 ± 0.017** |
|         Int String |  22.014 ± 0.056 |  36.306 ± 0.028 | **18.175 ± 0.056** |
|  Medium Int String |  26.965 ± 0.049 |  40.398 ± 0.034 | **19.142 ± 0.782** |
|   Large Int String |  53.258 ± 0.071 |  54.113 ± 0.036 | **26.414 ± 0.026** |
| Small Float String |  20.824 ± 0.049 |  61.023 ± 0.770 | **18.290 ± 0.026** |
|       Float String |  54.895 ± 0.048 |  94.244 ± 0.778 | **26.867 ± 1.101** |
| Large Float String | 111.501 ± 0.048 | 120.295 ± 1.255 | **41.655 ± 2.879** |
|                Int |  17.092 ± 0.053 |  47.681 ± 0.919 | **14.645 ± 0.030** |
|              Float |  38.289 ± 0.773 |  46.299 ± 0.059 | **24.821 ± 0.030** |

### Timing comparison of forced `int` functions with error handling

| Input type         | try/except (ms)    | regex (ms)      | fastnumbers (ms)   |
| -----------------: | -----------------: | --------------: | -----------------: |
|  Non-number String |  135.643 ± 1.892   |  43.506 ± 0.036 | **17.209 ± 0.027** |
|   Small Int String | **12.774 ± 0.071** |  33.734 ± 0.063 |   16.206 ± 0.017   |
|         Int String | **13.569 ± 0.085** |  35.801 ± 0.016 |   17.258 ± 0.027   |
|  Medium Int String | **15.143 ± 0.797** |  70.075 ± 0.117 |   18.117 ± 0.027   |
|   Large Int String | **19.506 ± 0.077** | 102.684 ± 0.756 |   25.504 ± 0.041   |
| Small Float String |  104.653 ± 0.722   |  63.481 ± 0.759 | **16.762 ± 0.026** |
|       Float String |  137.297 ± 3.513   | 103.498 ± 0.699 | **24.768 ± 0.029** |
| Large Float String |  181.670 ± 0.542   | 146.281 ± 0.694 | **39.485 ± 0.036** |
|                Int |  **9.145 ± 0.083** |  43.884 ± 0.046 |   13.515 ± 0.026   |
|              Float | **18.699 ± 0.180** |  54.672 ± 0.771 |   23.970 ± 0.038   |

### Timing comparison to check if value can be converted to `int`

| Input type         | try/except (ms) | regex (ms)     | fastnumbers (ms)   |
| -----------------: | --------------: | -------------: | -----------------: |
|  Non-number String |  90.483 ± 0.819 | 30.680 ± 0.058 |  **8.641 ± 0.090** |
|   Small Int String |  16.892 ± 0.047 | 34.009 ± 0.751 |  **8.519 ± 0.041** |
|         Int String |  17.473 ± 0.065 | 35.456 ± 0.057 |  **8.782 ± 0.055** |
|  Medium Int String |  18.772 ± 0.032 | 38.207 ± 0.049 |  **8.861 ± 0.039** |
|   Large Int String |  23.639 ± 0.060 | 47.390 ± 0.716 |  **8.882 ± 0.077** |
| Small Float String |  85.183 ± 0.641 | 33.023 ± 0.030 |  **9.380 ± 0.025** |
|       Float String |  89.017 ± 0.946 | 37.119 ± 0.030 | **10.159 ± 0.014** |
| Large Float String |  93.409 ± 2.695 | 37.413 ± 0.770 | **10.213 ± 0.003** |
|                Int |  13.115 ± 0.073 | 13.333 ± 0.110 |  **7.752 ± 0.033** |
|              Float |  22.273 ± 0.044 | 12.913 ± 0.033 |  **8.013 ± 0.071** |

### Timing comparison to check if value can be converted to `float`

| Input type         | try/except (ms) | regex (ms)     | fastnumbers (ms)   |
| -----------------: | --------------: | -------------: | -----------------: |
|  Non-number String |  43.571 ± 0.167 | 31.189 ± 0.059 |  **9.309 ± 0.059** |
|   Small Int String |  16.096 ± 0.754 | 38.146 ± 0.033 |  **9.319 ± 0.067** |
|         Int String |  16.665 ± 0.092 | 39.828 ± 0.047 |  **9.542 ± 0.082** |
|  Medium Int String |  17.983 ± 0.109 | 42.702 ± 0.036 |  **9.613 ± 0.039** |
|   Large Int String |  37.669 ± 0.770 | 51.435 ± 0.082 |  **9.659 ± 0.041** |
| Small Float String |  16.245 ± 0.015 | 37.187 ± 0.073 | **10.198 ± 0.105** |
|       Float String |  34.223 ± 0.028 | 45.392 ± 0.771 | **10.718 ± 0.043** |
| Large Float String |  58.432 ± 0.032 | 47.934 ± 0.076 | **10.790 ± 0.025** |
|                Int |  11.511 ± 0.040 | 13.673 ± 0.038 |  **8.764 ± 0.052** |
|              Float |  11.159 ± 0.021 | 12.898 ± 0.715 |  **8.926 ± 0.028** |

### Timing comparison to check if value can be converted to `float` or `int`

| Input type         | try/except (ms)   | regex (ms)     | fastnumbers (ms)   |
| -----------------: | ----------------: | -------------: | -----------------: |
|  Non-number String |  43.795 ± 0.166   | 30.572 ± 0.057 |  **9.232 ± 0.071** |
|   Small Int String |  12.179 ± 0.058   | 37.845 ± 0.111 |  **9.231 ± 0.053** |
|         Int String |  12.941 ± 0.082   | 39.766 ± 0.741 |  **9.633 ± 0.027** |
|  Medium Int String |  14.249 ± 0.068   | 42.121 ± 0.020 |  **9.528 ± 0.131** |
|   Large Int String |  33.478 ± 0.044   | 51.046 ± 0.048 |  **9.555 ± 0.056** |
| Small Float String |  12.589 ± 0.049   | 37.027 ± 0.797 | **10.080 ± 0.068** |
|       Float String |  30.388 ± 0.034   | 46.199 ± 1.010 | **10.647 ± 0.055** |
| Large Float String |  54.452 ± 0.024   | 47.638 ± 0.759 | **10.791 ± 0.085** |
|                Int | **8.322 ± 0.037** | 11.141 ± 0.089 |    8.467 ± 0.035   |
|              Float | **7.643 ± 0.027** | 10.353 ± 0.067 |    8.597 ± 0.056   |

### Timing comparison to check if value can be coerced losslessly to `int`

| Input type         | try/except (ms) | regex (ms)      | fastnumbers (ms)  |
| -----------------: | --------------: | --------------: | ----------------: |
|  Non-number String | 136.979 ± 1.841 |  38.640 ± 0.043 | **8.379 ± 0.043** |
|   Small Int String |  23.077 ± 0.068 |  23.398 ± 0.040 | **8.341 ± 0.057** |
|         Int String |  24.294 ± 0.041 |  24.904 ± 0.021 | **8.547 ± 0.028** |
|  Medium Int String |  30.695 ± 0.740 |  27.770 ± 0.029 | **8.667 ± 0.020** |
|   Large Int String |  58.530 ± 0.226 |  36.458 ± 0.052 | **8.727 ± 0.030** |
| Small Float String | 103.628 ± 1.751 |  59.019 ± 0.023 | **9.142 ± 0.064** |
|       Float String | 130.847 ± 0.955 |  91.032 ± 0.202 | **9.954 ± 0.018** |
| Large Float String | 159.193 ± 1.278 | 118.775 ± 0.563 | **9.857 ± 0.109** |
|                Int |  15.055 ± 0.043 |  45.855 ± 0.075 | **7.558 ± 0.070** |
|              Float |  37.268 ± 0.024 |  71.686 ± 1.860 | **7.862 ± 0.051** |

### Timing comparison of `map` option vs. iterating over `try_float` for a 50 element list

| Input type         | [try_float(x) for x in iterable] (ms) | list(map(try_float, iterable)) (ms) | list(try_float(iterable, map=True)) (ms) | try_float(iterable, map=list) (ms) |
| -----------------: | ------------------------------------: | ----------------------------------: | ---------------------------------------: | ---------------------------------: |
|  Non-number String |                      1001.854 ± 2.323 |                    902.895 ± 8.884  |                          577.611 ± 1.459 |                **531.019 ± 2.326** |
|   Small Int String |                       945.279 ± 1.425 |                    840.040 ± 8.162  |                          530.106 ± 2.430 |                **482.270 ± 1.599** |
|         Int String |                       964.077 ± 1.593 |                    857.475 ± 8.228  |                          545.166 ± 0.768 |                **498.248 ± 1.450** |
|  Medium Int String |                       988.419 ± 1.652 |                    893.111 ± 21.672 |                          571.763 ± 4.063 |                **519.087 ± 1.961** |
|   Large Int String |                      1287.110 ± 7.120 |                   1165.471 ± 7.895  |                          802.560 ± 4.907 |                **754.931 ± 8.629** |
| Small Float String |                      1032.001 ± 7.630 |                    906.588 ± 20.243 |                          553.083 ± 1.872 |                **504.151 ± 2.354** |
|       Float String |                      1065.359 ± 2.256 |                    937.700 ± 2.262  |                          627.927 ± 2.766 |                **579.561 ± 1.392** |
| Large Float String |                      1072.621 ± 3.306 |                    945.579 ± 2.150  |                          636.708 ± 1.434 |                **585.016 ± 0.816** |
|                Int |                       872.710 ± 3.427 |                    747.316 ± 1.262  |                          441.310 ± 0.928 |                **384.457 ± 1.440** |
|              Float |                       801.634 ± 0.751 |                    700.659 ± 2.066  |                          411.928 ± 1.208 |                **362.799 ± 0.883** |

### Timing comparison of `try_array` vs. `map` option for a 50 element list to a numpy array

| Input type         | np.array(try_float(iterable, map=True)) (ms) | try_array(iterable) (ms) | try_array(iterable, output) (ms) |
| -----------------: | -------------------------------------------: | -----------------------: | -------------------------------: |
|   Small Int String |                              675.185 ± 1.198 |          313.506 ± 0.928 |              **293.928 ± 0.794** |
|         Int String |                              692.571 ± 1.993 |          328.146 ± 1.956 |              **308.975 ± 0.651** |
|  Medium Int String |                              707.320 ± 3.232 |          344.311 ± 0.809 |              **327.496 ± 4.060** |
|   Large Int String |                              926.292 ± 1.845 |          567.859 ± 1.338 |              **547.848 ± 1.082** |
| Small Float String |                              693.925 ± 1.557 |          332.155 ± 6.669 |              **308.060 ± 3.107** |
|       Float String |                              776.162 ± 8.379 |          444.758 ± 1.795 |              **423.833 ± 1.745** |
| Large Float String |                              803.179 ± 3.356 |          457.605 ± 2.886 |              **434.210 ± 3.770** |
|                Int |                              611.013 ± 7.020 |          362.952 ± 1.892 |              **341.909 ± 3.633** |
|              Float |                              578.320 ± 2.798 |          314.324 ± 4.240 |              **294.071 ± 5.073** |

