sys.version_info(major=3, minor=11, micro=1, releaselevel='final', serial=0)

### Timing comparison of `int` functions

| Input type        | builtin (ms)       | fastnumbers (ms)   |
| ----------------: | -----------------: | -----------------: |
|  Small Int String |   12.462 ± 0.104   | **10.694 ± 0.020** |
|        Int String |   13.289 ± 0.030   | **11.761 ± 0.016** |
| Medium Int String |   15.611 ± 0.799   | **12.080 ± 0.020** |
|  Large Int String | **21.261 ± 0.040** |   22.626 ± 1.346   |
|               Int |  **6.893 ± 0.044** |    7.896 ± 0.030   |
|             Float | **16.371 ± 0.051** |   19.276 ± 3.026   |

### Timing comparison of `float` functions

| Input type         | builtin (ms)      | fastnumbers (ms)   |
| -----------------: | ----------------: | -----------------: |
|   Small Int String | **6.977 ± 0.070** |   10.938 ± 0.024   |
|         Int String | **7.566 ± 0.056** |   11.427 ± 1.801   |
|  Medium Int String | **8.663 ± 0.149** |   11.438 ± 0.281   |
|   Large Int String |  28.395 ± 1.922   | **15.817 ± 0.013** |
| Small Float String | **7.289 ± 0.067** |   11.313 ± 0.011   |
|       Float String |  25.421 ± 0.296   | **12.788 ± 0.014** |
| Large Float String |  47.363 ± 0.361   | **13.004 ± 0.021** |
|                Int | **3.460 ± 0.059** |    9.040 ± 0.014   |
|              Float | **2.438 ± 0.050** |    8.137 ± 0.306   |

### Timing comparison of `int` functions with error handling

| Input type         | try/except (ms)    | regex (ms)      | fastnumbers (ms)   |
| -----------------: | -----------------: | --------------: | -----------------: |
|  Non-number String |  129.891 ± 0.413   |  23.063 ± 0.008 | **16.338 ± 0.036** |
|   Small Int String |   15.822 ± 0.003   |  42.137 ± 0.027 | **15.676 ± 0.040** |
|         Int String | **16.798 ± 0.021** |  46.426 ± 0.054 |   16.974 ± 0.058   |
|  Medium Int String |   18.939 ± 0.023   |  54.832 ± 0.024 | **17.307 ± 0.006** |
|   Large Int String | **24.740 ± 0.016** |  75.430 ± 0.082 |   27.690 ± 0.016   |
| Small Float String |  127.423 ± 2.486   |  26.737 ± 0.025 | **16.546 ± 0.022** |
|       Float String |  131.447 ± 0.113   |  32.571 ± 0.015 | **16.869 ± 0.019** |
| Large Float String |  135.510 ± 3.045   |  34.187 ± 2.201 | **16.990 ± 0.005** |
|                Int | **10.132 ± 0.015** |  93.091 ± 1.639 |   12.324 ± 0.017   |
|              Float | **19.512 ± 0.016** | 101.762 ± 0.916 |   24.245 ± 0.030   |

### Timing comparison of `float` functions with error handling

| Input type         | try/except (ms)    | regex (ms)      | fastnumbers (ms)   |
| -----------------: | -----------------: | --------------: | -----------------: |
|  Non-number String |   68.582 ± 0.267   |  27.162 ± 0.009 | **17.611 ± 0.071** |
|   Small Int String | **10.246 ± 0.067** |  46.749 ± 0.076 |   16.486 ± 0.030   |
|         Int String | **10.914 ± 0.040** |  50.349 ± 0.085 |   16.758 ± 0.006   |
|  Medium Int String | **12.092 ± 0.032** |  57.916 ± 0.056 |   17.244 ± 0.018   |
|   Large Int String |   32.122 ± 0.009   |  93.395 ± 0.125 | **21.739 ± 0.003** |
| Small Float String | **10.567 ± 0.102** |  45.780 ± 0.014 |   17.105 ± 0.019   |
|       Float String |   29.090 ± 0.057   |  80.801 ± 2.531 | **18.574 ± 0.019** |
| Large Float String |   50.884 ± 0.025   | 108.996 ± 0.108 | **18.867 ± 0.031** |
|                Int |  **6.240 ± 0.054** |  90.673 ± 1.547 |   15.039 ± 0.011   |
|              Float |  **5.117 ± 0.043** |  91.220 ± 0.979 |   13.476 ± 0.005   |

### Timing comparison of `float` (but coerce to `int` if possible) functions with error handling

| Input type         | try/except (ms) | regex (ms)      | fastnumbers (ms)   |
| -----------------: | --------------: | --------------: | -----------------: |
|  Non-number String |  69.025 ± 0.183 |  50.793 ± 0.158 | **18.131 ± 0.023** |
|   Small Int String |  24.727 ± 0.061 |  42.899 ± 0.084 | **16.805 ± 0.017** |
|         Int String |  27.141 ± 1.073 |  47.119 ± 0.099 | **18.918 ± 0.008** |
|  Medium Int String |  29.933 ± 0.050 |  55.486 ± 0.056 | **19.189 ± 0.006** |
|   Large Int String |  59.433 ± 0.063 |  77.151 ± 2.549 | **29.707 ± 0.058** |
| Small Float String |  24.974 ± 0.022 |  71.841 ± 0.083 | **18.833 ± 0.070** |
|       Float String |  58.700 ± 0.049 | 111.038 ± 0.087 | **26.906 ± 0.364** |
| Large Float String | 114.617 ± 0.203 | 140.597 ± 0.089 | **41.390 ± 0.027** |
|                Int |  20.228 ± 0.125 |  94.594 ± 0.219 | **13.774 ± 0.006** |
|              Float |  40.516 ± 0.022 |  94.066 ± 1.115 | **24.937 ± 0.024** |

### Timing comparison of forced `int` functions with error handling

| Input type         | try/except (ms)    | regex (ms)      | fastnumbers (ms)   |
| -----------------: | -----------------: | --------------: | -----------------: |
|  Non-number String |  213.124 ± 12.551  |  47.109 ± 0.025 | **17.141 ± 0.069** |
|   Small Int String |   15.829 ± 0.016   |  39.121 ± 0.054 | **15.711 ± 0.005** |
|         Int String | **16.797 ± 0.031** |  44.304 ± 1.011 |   17.452 ± 0.008   |
|  Medium Int String |   18.926 ± 0.005   |  86.352 ± 0.433 | **18.099 ± 0.015** |
|   Large Int String | **24.735 ± 0.006** | 124.967 ± 0.721 |   28.577 ± 0.006   |
| Small Float String |  148.734 ± 1.288   |  75.186 ± 0.104 | **17.033 ± 0.007** |
|       Float String |  177.638 ± 2.363   | 119.011 ± 0.180 | **24.490 ± 0.008** |
| Large Float String |  219.678 ± 1.023   | 163.725 ± 0.170 | **40.073 ± 0.007** |
|                Int |  **9.984 ± 0.019** |  93.181 ± 1.161 |   11.836 ± 0.004   |
|              Float | **19.554 ± 0.020** | 108.745 ± 0.354 |   23.934 ± 0.024   |

### Timing comparison to check if value can be converted to `int`

| Input type         | try/except (ms) | regex (ms)     | fastnumbers (ms)  |
| -----------------: | --------------: | -------------: | ----------------: |
|  Non-number String | 129.501 ± 0.159 | 40.136 ± 7.315 | **8.215 ± 0.040** |
|   Small Int String |  20.883 ± 0.518 | 40.650 ± 0.072 | **8.248 ± 0.043** |
|         Int String |  20.030 ± 0.034 | 43.847 ± 0.039 | **8.456 ± 0.065** |
|  Medium Int String |  22.179 ± 0.087 | 50.131 ± 0.031 | **8.474 ± 0.032** |
|   Large Int String |  28.002 ± 0.009 | 64.560 ± 0.032 | **8.506 ± 0.042** |
| Small Float String | 127.158 ± 0.409 | 38.500 ± 0.019 | **9.138 ± 0.065** |
|       Float String | 130.870 ± 0.283 | 44.438 ± 0.036 | **9.635 ± 0.053** |
| Large Float String | 133.237 ± 0.053 | 44.391 ± 0.020 | **9.821 ± 0.176** |
|                Int |  15.408 ± 0.203 | 12.640 ± 0.007 | **7.281 ± 0.048** |
|              Float |  22.461 ± 0.053 | 11.694 ± 0.006 | **7.443 ± 0.090** |

### Timing comparison to check if value can be converted to `float`

| Input type         | try/except (ms)   | regex (ms)     | fastnumbers (ms)   |
| -----------------: | ----------------: | -------------: | -----------------: |
|  Non-number String |  73.642 ± 9.621   | 36.004 ± 0.026 |  **9.147 ± 0.062** |
|   Small Int String |  13.528 ± 0.005   | 46.911 ± 0.062 |  **9.431 ± 0.059** |
|         Int String |  14.175 ± 0.006   | 49.840 ± 0.020 |  **9.677 ± 0.027** |
|  Medium Int String |  15.280 ± 0.021   | 56.306 ± 0.056 |  **9.712 ± 0.005** |
|   Large Int String |  35.723 ± 0.020   | 70.878 ± 0.081 |  **9.712 ± 0.090** |
| Small Float String |  13.998 ± 0.032   | 45.669 ± 0.018 | **10.221 ± 0.038** |
|       Float String |  32.565 ± 0.047   | 60.336 ± 0.022 | **10.894 ± 0.033** |
| Large Float String |  54.539 ± 0.039   | 66.600 ± 0.040 | **10.977 ± 0.109** |
|                Int |   8.933 ± 0.231   | 13.048 ± 0.030 |  **8.151 ± 0.047** |
|              Float | **7.951 ± 0.052** | 11.299 ± 0.007 |    8.381 ± 0.041   |

### Timing comparison to check if value can be converted to `float` or `int`

| Input type         | try/except (ms)   | regex (ms)     | fastnumbers (ms)   |
| -----------------: | ----------------: | -------------: | -----------------: |
|  Non-number String |  69.597 ± 0.459   | 38.477 ± 0.498 |  **9.240 ± 0.070** |
|   Small Int String |  10.628 ± 0.046   | 49.035 ± 0.041 |  **9.360 ± 0.085** |
|         Int String |  11.315 ± 0.014   | 54.267 ± 5.047 |  **9.496 ± 0.014** |
|  Medium Int String |  12.433 ± 0.016   | 58.682 ± 0.398 |  **9.514 ± 0.032** |
|   Large Int String |  32.452 ± 0.007   | 72.959 ± 0.102 |  **9.484 ± 0.010** |
| Small Float String |  10.913 ± 0.057   | 47.603 ± 0.010 | **10.197 ± 0.005** |
|       Float String |  29.428 ± 0.164   | 62.363 ± 0.012 | **10.808 ± 0.013** |
| Large Float String |  51.204 ± 0.024   | 68.790 ± 0.025 | **10.864 ± 0.006** |
|                Int | **6.531 ± 0.025** | 10.482 ± 0.035 |    8.104 ± 0.031   |
|              Float | **5.345 ± 0.014** |  9.238 ± 0.057 |    8.260 ± 0.052   |

### Timing comparison to check if value can be coerced losslessly to `int`

| Input type         | try/except (ms) | regex (ms)      | fastnumbers (ms)   |
| -----------------: | --------------: | --------------: | -----------------: |
|  Non-number String | 206.502 ± 0.646 |  50.757 ± 0.165 |  **7.897 ± 0.047** |
|   Small Int String |  31.244 ± 0.116 |  29.937 ± 0.169 |  **7.902 ± 0.100** |
|         Int String |  30.722 ± 0.052 |  32.866 ± 0.014 |  **8.083 ± 0.063** |
|  Medium Int String |  35.906 ± 0.053 |  40.000 ± 2.468 |  **8.072 ± 0.032** |
|   Large Int String |  69.342 ± 1.015 |  56.078 ± 0.972 |  **8.554 ± 0.026** |
| Small Float String | 153.780 ± 1.623 |  80.417 ± 0.743 |  **9.405 ± 0.064** |
|       Float String | 182.261 ± 2.431 | 121.158 ± 1.673 | **10.286 ± 0.083** |
| Large Float String | 209.102 ± 2.088 | 154.173 ± 3.385 | **10.001 ± 0.060** |
|                Int |  18.646 ± 0.002 | 102.406 ± 1.131 |  **7.504 ± 0.011** |
|              Float |  42.653 ± 0.624 | 132.264 ± 0.322 |  **7.469 ± 0.026** |

### Timing comparison of `map` option vs. iterating over `try_float` for a 50 element list

| Input type         | [try_float(x) for x in iterable] (ms) | list(map(try_float, iterable)) (ms) | list(try_float(iterable, map=True)) (ms) | try_float(iterable, map=list) (ms) |
| -----------------: | ------------------------------------: | ----------------------------------: | ---------------------------------------: | ---------------------------------: |
|  Non-number String |                     1148.037 ± 25.880 |                   1013.306 ± 37.538 |                         590.851 ± 21.154 |                **515.890 ± 3.011** |
|   Small Int String |                      987.896 ± 7.727  |                    960.128 ± 5.922  |                         542.909 ± 3.683  |                **481.335 ± 6.298** |
|         Int String |                     1014.824 ± 17.555 |                    932.395 ± 11.245 |                         532.341 ± 0.683  |                **478.568 ± 3.526** |
|  Medium Int String |                      969.427 ± 4.794  |                    938.731 ± 3.348  |                         546.109 ± 0.626  |                **491.242 ± 4.167** |
|   Large Int String |                     1220.263 ± 2.868  |                   1187.911 ± 7.779  |                         765.318 ± 3.377  |                **703.281 ± 3.228** |
| Small Float String |                      959.684 ± 0.879  |                    933.657 ± 16.780 |                         541.608 ± 4.661  |                **481.439 ± 0.833** |
|       Float String |                     1087.549 ± 7.231  |                   1057.860 ± 12.759 |                         618.012 ± 8.823  |                **558.839 ± 4.767** |
| Large Float String |                     1102.770 ± 8.275  |                   1096.567 ± 8.527  |                         641.963 ± 2.486  |                **575.283 ± 4.615** |
|                Int |                      900.061 ± 11.115 |                    868.973 ± 13.691 |                         414.174 ± 0.836  |                **363.310 ± 0.917** |
|              Float |                      757.135 ± 2.577  |                    728.186 ± 12.985 |                         368.202 ± 0.237  |                **314.194 ± 3.289** |

### Timing comparison of `try_array` vs. `map` option for a 50 element list to a numpy array

| Input type         | np.array(try_float(iterable, map=True)) (ms) | try_array(iterable) (ms) | try_array(iterable, output) (ms) |
| -----------------: | -------------------------------------------: | -----------------------: | -------------------------------: |
|   Small Int String |                            664.025 ± 2.316   |       307.078 ± 5.697    |             **280.075 ± 0.160**  |
|         Int String |                            675.276 ± 1.065   |       316.907 ± 0.485    |             **291.029 ± 0.266**  |
|  Medium Int String |                            702.673 ± 20.459  |       433.230 ± 30.390   |             **354.109 ± 19.401** |
|   Large Int String |                           1114.763 ± 235.736 |       565.220 ± 3.683    |             **560.142 ± 26.596** |
| Small Float String |                            738.377 ± 21.590  |       374.815 ± 15.862   |             **351.147 ± 16.242** |
|       Float String |                            880.960 ± 28.201  |       525.248 ± 61.307   |             **472.148 ± 29.114** |
| Large Float String |                            889.239 ± 52.519  |       491.519 ± 54.666   |             **445.087 ± 23.327** |
|                Int |                            681.099 ± 45.200  |     **380.157 ± 14.904** |               383.153 ± 13.074   |
|              Float |                            584.873 ± 21.257  |       314.687 ± 20.742   |             **292.431 ± 7.202**  |

