sys.version_info(major=3, minor=7, micro=16, releaselevel='final', serial=0)

### Timing comparison of `int` functions

| Input type        | builtin (ms)       | fastnumbers (ms)   |
| ----------------: | -----------------: | -----------------: |
|  Small Int String |   16.263 ± 0.230   | **11.777 ± 0.035** |
|        Int String |   17.326 ± 1.382   | **13.430 ± 0.566** |
| Medium Int String |   18.591 ± 0.288   | **13.513 ± 0.070** |
|  Large Int String |   23.693 ± 0.613   | **22.451 ± 0.044** |
|               Int |   10.034 ± 0.076   |  **8.997 ± 0.589** |
|             Float | **20.933 ± 0.072** |   21.393 ± 0.091   |

### Timing comparison of `float` functions

| Input type         | builtin (ms)      | fastnumbers (ms)   |
| -----------------: | ----------------: | -----------------: |
|   Small Int String |  13.735 ± 0.522   | **12.136 ± 0.097** |
|         Int String |  14.269 ± 0.067   | **12.249 ± 0.039** |
|  Medium Int String |  15.419 ± 0.518   | **12.585 ± 0.082** |
|   Large Int String |  36.241 ± 1.834   | **17.015 ± 0.015** |
| Small Float String |  14.098 ± 0.066   | **12.538 ± 0.707** |
|       Float String |  32.492 ± 0.051   | **13.738 ± 0.018** |
| Large Float String |  54.873 ± 2.195   | **14.024 ± 0.377** |
|                Int | **9.189 ± 0.082** |    9.848 ± 0.047   |
|              Float | **8.480 ± 0.087** |    9.342 ± 0.078   |

### Timing comparison of `int` functions with error handling

| Input type         | try/except (ms) | regex (ms)     | fastnumbers (ms)   |
| -----------------: | --------------: | -------------: | -----------------: |
|  Non-number String | 126.409 ± 3.586 | 29.773 ± 0.022 | **17.785 ± 0.024** |
|   Small Int String |  24.413 ± 0.007 | 50.872 ± 0.130 | **16.990 ± 0.025** |
|         Int String |  25.150 ± 0.022 | 54.874 ± 0.042 | **18.674 ± 0.069** |
|  Medium Int String |  26.671 ± 0.018 | 62.638 ± 0.119 | **18.801 ± 0.008** |
|   Large Int String |  31.778 ± 0.072 | 82.017 ± 0.052 | **27.903 ± 0.051** |
| Small Float String | 122.618 ± 0.188 | 33.775 ± 0.005 | **18.110 ± 0.052** |
|       Float String | 129.271 ± 1.602 | 40.382 ± 0.014 | **18.414 ± 0.076** |
| Large Float String | 134.041 ± 3.343 | 40.382 ± 0.033 | **18.554 ± 0.012** |
|                Int |  18.088 ± 0.002 | 76.783 ± 0.334 | **14.367 ± 0.043** |
|              Float |  29.020 ± 0.006 | 89.684 ± 0.212 | **26.908 ± 0.004** |

### Timing comparison of `float` functions with error handling

| Input type         | try/except (ms) | regex (ms)      | fastnumbers (ms)   |
| -----------------: | --------------: | --------------: | -----------------: |
|  Non-number String |  69.455 ± 0.967 |  33.465 ± 0.010 | **18.853 ± 0.017** |
|   Small Int String |  21.799 ± 0.121 |  58.119 ± 0.035 | **18.384 ± 0.396** |
|         Int String |  22.616 ± 0.230 |  62.377 ± 0.989 | **18.112 ± 0.005** |
|  Medium Int String |  23.516 ± 0.002 |  69.600 ± 0.725 | **18.756 ± 0.090** |
|   Large Int String |  44.469 ± 0.012 | 105.333 ± 1.232 | **23.266 ± 0.031** |
| Small Float String |  23.921 ± 3.446 |  57.166 ± 0.104 | **18.334 ± 0.007** |
|       Float String |  40.994 ± 0.087 |  93.117 ± 0.062 | **20.009 ± 0.065** |
| Large Float String |  63.374 ± 0.074 | 122.648 ± 0.203 | **20.125 ± 0.011** |
|                Int |  17.149 ± 0.008 |  75.502 ± 0.139 | **15.581 ± 0.004** |
|              Float |  16.123 ± 0.002 |  74.961 ± 1.108 | **14.691 ± 0.007** |

### Timing comparison of `float` (but coerce to `int` if possible) functions with error handling

| Input type         | try/except (ms) | regex (ms)      | fastnumbers (ms)   |
| -----------------: | --------------: | --------------: | -----------------: |
|  Non-number String |  70.347 ± 0.540 |  56.349 ± 0.127 | **19.957 ± 0.897** |
|   Small Int String |  42.966 ± 0.246 |  51.034 ± 0.091 | **18.054 ± 0.011** |
|         Int String |  45.434 ± 0.348 |  55.079 ± 0.191 | **22.065 ± 2.722** |
|  Medium Int String |  49.614 ± 1.971 |  62.620 ± 0.016 | **20.547 ± 0.003** |
|   Large Int String |  79.348 ± 1.559 |  82.074 ± 0.097 | **29.449 ± 0.010** |
| Small Float String |  44.136 ± 0.886 |  84.031 ± 0.096 | **20.082 ± 0.006** |
|       Float String |  77.606 ± 0.180 | 126.025 ± 0.143 | **27.468 ± 0.016** |
| Large Float String | 133.937 ± 0.148 | 156.727 ± 1.120 | **45.047 ± 4.298** |
|                Int |  39.682 ± 0.017 |  85.638 ± 0.472 | **15.157 ± 0.006** |
|              Float |  61.403 ± 0.532 |  83.610 ± 0.074 | **27.231 ± 0.005** |

### Timing comparison of forced `int` functions with error handling

| Input type         | try/except (ms) | regex (ms)      | fastnumbers (ms)   |
| -----------------: | --------------: | --------------: | -----------------: |
|  Non-number String | 197.645 ± 0.778 |  55.176 ± 0.331 | **18.723 ± 0.031** |
|   Small Int String |  24.397 ± 0.006 |  50.214 ± 0.044 | **17.307 ± 0.013** |
|         Int String |  25.199 ± 0.125 |  54.232 ± 0.160 | **19.405 ± 0.009** |
|  Medium Int String |  26.716 ± 0.209 | 103.098 ± 0.361 | **19.788 ± 0.048** |
|   Large Int String |  31.662 ± 0.007 | 144.452 ± 2.430 | **28.859 ± 0.179** |
| Small Float String | 150.898 ± 0.935 |  95.443 ± 0.082 | **21.557 ± 0.018** |
|       Float String | 187.646 ± 1.376 | 143.103 ± 0.255 | **26.283 ± 0.003** |
| Large Float String | 230.618 ± 1.497 | 194.273 ± 8.587 | **41.914 ± 0.029** |
|                Int |  18.093 ± 0.005 |  77.809 ± 0.722 | **13.652 ± 0.029** |
|              Float |  29.168 ± 0.058 |  89.335 ± 1.074 | **26.577 ± 0.005** |

### Timing comparison to check if value can be converted to `int`

| Input type         | try/except (ms) | regex (ms)     | fastnumbers (ms)   |
| -----------------: | --------------: | -------------: | -----------------: |
|  Non-number String | 126.286 ± 1.873 | 55.273 ± 0.027 |  **9.957 ± 0.025** |
|   Small Int String |  37.742 ± 0.014 | 60.228 ± 0.265 | **10.035 ± 0.014** |
|         Int String |  38.600 ± 0.030 | 63.322 ± 0.142 | **10.269 ± 0.019** |
|  Medium Int String |  40.145 ± 0.023 | 69.459 ± 0.244 | **10.269 ± 0.076** |
|   Large Int String |  45.263 ± 0.026 | 83.824 ± 0.307 | **10.214 ± 0.034** |
| Small Float String | 123.585 ± 1.229 | 59.600 ± 0.112 | **10.937 ± 0.024** |
|       Float String | 128.205 ± 1.506 | 66.505 ± 0.146 | **11.486 ± 0.020** |
| Large Float String | 133.075 ± 0.783 | 66.497 ± 0.126 | **11.559 ± 0.007** |
|                Int |  31.301 ± 0.043 | 28.547 ± 0.197 |  **8.865 ± 0.112** |
|              Float |  43.396 ± 0.686 | 28.947 ± 0.002 |  **9.639 ± 0.029** |

### Timing comparison to check if value can be converted to `float`

| Input type         | try/except (ms) | regex (ms)      | fastnumbers (ms)   |
| -----------------: | --------------: | --------------: | -----------------: |
|  Non-number String | 77.588 ± 1.278  |  65.104 ± 0.325 | **11.919 ± 0.035** |
|   Small Int String | 44.903 ± 14.348 |  77.039 ± 0.781 | **11.950 ± 0.005** |
|         Int String | 39.372 ± 0.050  |  79.519 ± 1.561 | **12.224 ± 0.020** |
|  Medium Int String | 40.269 ± 0.643  |  86.018 ± 1.257 | **12.222 ± 0.012** |
|   Large Int String | 62.876 ± 0.574  | 102.118 ± 0.498 | **11.989 ± 0.180** |
| Small Float String | 38.828 ± 0.925  |  75.080 ± 0.110 | **13.062 ± 0.056** |
|       Float String | 59.185 ± 0.860  |  92.201 ± 0.731 | **13.488 ± 0.002** |
| Large Float String | 82.843 ± 0.191  |  99.077 ± 0.442 | **13.605 ± 0.033** |
|                Int | 33.073 ± 0.049  |  31.761 ± 0.023 | **10.830 ± 0.036** |
|              Float | 32.193 ± 0.021  |  29.339 ± 0.059 | **10.966 ± 0.158** |

### Timing comparison to check if value can be converted to `float` or `int`

| Input type         | try/except (ms) | regex (ms)      | fastnumbers (ms)   |
| -----------------: | --------------: | --------------: | -----------------: |
|  Non-number String |  77.219 ± 0.846 |  64.552 ± 0.122 | **11.186 ± 0.027** |
|   Small Int String |  24.127 ± 0.004 |  75.962 ± 1.258 | **11.448 ± 0.053** |
|         Int String |  25.699 ± 0.057 |  80.755 ± 1.082 | **11.851 ± 0.073** |
|  Medium Int String |  26.291 ± 0.372 |  87.248 ± 1.348 | **11.936 ± 0.043** |
|   Large Int String |  48.533 ± 0.254 | 103.719 ± 0.287 | **11.539 ± 0.042** |
| Small Float String |  25.190 ± 0.590 |  76.435 ± 0.547 | **12.567 ± 0.185** |
|       Float String |  44.666 ± 0.020 |  93.919 ± 0.041 | **13.206 ± 0.008** |
| Large Float String |  69.311 ± 1.169 |  99.432 ± 1.427 | **12.906 ± 0.066** |
|                Int |  19.278 ± 0.004 |  26.655 ± 0.407 | **10.538 ± 0.059** |
|              Float |  18.724 ± 0.002 |  25.152 ± 0.003 | **10.332 ± 0.049** |

### Timing comparison to check if value can be coerced losslessly to `int`

| Input type         | try/except (ms) | regex (ms)      | fastnumbers (ms)   |
| -----------------: | --------------: | --------------: | -----------------: |
|  Non-number String | 217.528 ± 2.967 |  64.869 ± 0.643 | **10.746 ± 0.009** |
|   Small Int String |  51.445 ± 0.597 |  39.435 ± 0.690 | **10.720 ± 0.037** |
|         Int String |  53.206 ± 0.460 |  42.561 ± 0.826 | **11.028 ± 0.032** |
|  Medium Int String |  58.794 ± 0.891 |  49.026 ± 0.994 | **10.986 ± 0.015** |
|   Large Int String |  96.246 ± 3.206 |  63.981 ± 0.978 | **10.902 ± 0.117** |
| Small Float String | 168.367 ± 2.139 | 102.441 ± 1.089 | **11.527 ± 0.165** |
|       Float String | 199.440 ± 2.153 | 148.149 ± 2.376 | **11.846 ± 0.053** |
| Large Float String | 230.747 ± 3.809 | 180.413 ± 3.087 | **12.098 ± 0.200** |
|                Int |  38.794 ± 0.047 |  86.864 ± 1.708 |  **9.249 ± 0.039** |
|              Float |  65.082 ± 0.895 | 116.289 ± 1.741 |  **9.256 ± 0.072** |

### Timing comparison of `map` option vs. iterating over `try_float` for a 50 element list

| Input type         | [try_float(x) for x in iterable] (ms) | list(map(try_float, iterable)) (ms) | list(try_float(iterable, map=True)) (ms) | try_float(iterable, map=list) (ms) |
| -----------------: | ------------------------------------: | ----------------------------------: | ---------------------------------------: | ---------------------------------: |
|  Non-number String |                     1233.129 ± 89.694 |                   1096.322 ± 15.854 |                          592.030 ± 3.566 |                **525.788 ± 2.145** |
|   Small Int String |                     1010.786 ± 9.769  |                    951.523 ± 1.286  |                          521.243 ± 2.012 |                **460.269 ± 0.466** |
|         Int String |                     1027.887 ± 2.902  |                    975.433 ± 2.168  |                          534.428 ± 6.017 |                **469.688 ± 1.515** |
|  Medium Int String |                     1046.838 ± 2.056  |                    986.693 ± 5.289  |                          547.380 ± 8.323 |                **483.375 ± 0.832** |
|   Large Int String |                     1279.247 ± 5.927  |                   1216.838 ± 3.788  |                          747.334 ± 2.052 |                **687.583 ± 2.669** |
| Small Float String |                     1041.469 ± 7.480  |                    976.922 ± 3.301  |                          535.049 ± 0.994 |                **474.046 ± 0.740** |
|       Float String |                     1118.595 ± 5.464  |                   1050.202 ± 2.283  |                          596.587 ± 2.947 |                **538.216 ± 0.782** |
| Large Float String |                     1129.278 ± 2.159  |                   1065.641 ± 2.951  |                          605.202 ± 0.623 |                **546.162 ± 2.092** |
|                Int |                      906.642 ± 1.203  |                    849.825 ± 2.963  |                          415.162 ± 2.611 |                **351.087 ± 0.098** |
|              Float |                      860.826 ± 4.642  |                    815.129 ± 2.823  |                          384.984 ± 1.124 |                **326.830 ± 1.034** |

### Timing comparison of `try_array` vs. `map` option for a 50 element list to a numpy array

| Input type         | np.array(try_float(iterable, map=True)) (ms) | try_array(iterable) (ms) | try_array(iterable, output) (ms) |
| -----------------: | -------------------------------------------: | -----------------------: | -------------------------------: |
|   Small Int String |                              707.658 ± 4.071 |          364.192 ± 0.468 |              **291.410 ± 6.516** |
|         Int String |                              715.386 ± 2.653 |          385.715 ± 4.957 |              **304.591 ± 5.353** |
|  Medium Int String |                              731.776 ± 1.081 |          392.611 ± 4.928 |              **323.325 ± 7.615** |
|   Large Int String |                              940.714 ± 4.315 |          606.276 ± 2.181 |              **533.269 ± 1.641** |
| Small Float String |                              724.538 ± 4.827 |          386.579 ± 2.874 |              **306.971 ± 4.104** |
|       Float String |                              785.111 ± 1.900 |          467.706 ± 4.541 |              **389.865 ± 0.738** |
| Large Float String |                              803.408 ± 3.070 |          474.546 ± 1.523 |              **393.767 ± 1.558** |
|                Int |                              599.951 ± 3.730 |          380.704 ± 1.085 |              **304.972 ± 2.164** |
|              Float |                              570.421 ± 2.668 |          334.218 ± 0.553 |              **258.831 ± 0.826** |

