sys.version_info(major=3, minor=8, micro=16, releaselevel='final', serial=0)

### Timing comparison of `int` functions

| Input type        | builtin (ms)       | fastnumbers (ms)   |
| ----------------: | -----------------: | -----------------: |
|  Small Int String |   14.459 ± 0.540   | **11.596 ± 0.476** |
|        Int String |   15.526 ± 0.289   | **13.075 ± 0.835** |
| Medium Int String |   17.363 ± 0.145   | **15.152 ± 0.098** |
|  Large Int String | **23.496 ± 0.756** |   23.652 ± 0.029   |
|               Int |  **8.191 ± 0.054** |    8.702 ± 0.386   |
|             Float | **19.584 ± 2.690** |   21.234 ± 0.019   |

### Timing comparison of `float` functions

| Input type         | builtin (ms)      | fastnumbers (ms)   |
| -----------------: | ----------------: | -----------------: |
|   Small Int String |  13.465 ± 0.682   | **11.887 ± 0.028** |
|         Int String |  14.054 ± 0.063   | **12.057 ± 0.391** |
|  Medium Int String |  15.369 ± 1.048   | **12.285 ± 0.034** |
|   Large Int String |  34.520 ± 0.308   | **16.411 ± 0.024** |
| Small Float String |  13.752 ± 0.264   | **12.525 ± 0.059** |
|       Float String |  31.901 ± 0.508   | **13.420 ± 0.058** |
| Large Float String |  54.460 ± 0.390   | **13.744 ± 0.467** |
|                Int | **9.225 ± 0.050** |    9.721 ± 0.035   |
|              Float | **8.044 ± 0.332** |    9.032 ± 0.039   |

### Timing comparison of `int` functions with error handling

| Input type         | try/except (ms) | regex (ms)     | fastnumbers (ms)   |
| -----------------: | --------------: | -------------: | -----------------: |
|  Non-number String | 126.823 ± 0.554 | 26.968 ± 0.007 | **17.221 ± 0.027** |
|   Small Int String |  20.951 ± 0.007 | 46.809 ± 2.460 | **16.310 ± 0.068** |
|         Int String |  22.144 ± 0.020 | 49.714 ± 0.047 | **18.330 ± 0.004** |
|  Medium Int String |  24.002 ± 0.017 | 58.045 ± 0.054 | **18.541 ± 0.009** |
|   Large Int String |  30.082 ± 0.001 | 78.713 ± 0.065 | **29.096 ± 0.018** |
| Small Float String | 123.690 ± 0.435 | 30.616 ± 0.177 | **17.482 ± 0.064** |
|       Float String | 130.694 ± 0.056 | 36.779 ± 0.168 | **17.812 ± 0.100** |
| Large Float String | 133.581 ± 0.295 | 37.856 ± 1.077 | **18.035 ± 0.103** |
|                Int |  14.481 ± 0.003 | 71.489 ± 0.220 | **13.523 ± 0.155** |
|              Float |  26.791 ± 2.440 | 82.951 ± 0.507 | **26.439 ± 0.009** |

### Timing comparison of `float` functions with error handling

| Input type         | try/except (ms)    | regex (ms)      | fastnumbers (ms)   |
| -----------------: | -----------------: | --------------: | -----------------: |
|  Non-number String |   68.229 ± 0.379   |  30.508 ± 0.076 | **18.387 ± 0.032** |
|   Small Int String |   20.140 ± 0.029   |  53.948 ± 0.011 | **17.321 ± 0.030** |
|         Int String |   20.803 ± 0.017   |  57.764 ± 0.088 | **17.585 ± 0.008** |
|  Medium Int String |   22.008 ± 0.020   |  65.180 ± 0.019 | **18.009 ± 0.024** |
|   Large Int String |   42.160 ± 0.022   |  99.787 ± 0.047 | **22.545 ± 0.026** |
| Small Float String |   20.484 ± 0.003   |  52.988 ± 0.018 | **17.946 ± 0.023** |
|       Float String |   38.459 ± 0.037   |  86.655 ± 0.074 | **19.409 ± 0.018** |
| Large Float String |   61.329 ± 0.140   | 121.508 ± 7.672 | **19.625 ± 0.004** |
|                Int |   15.565 ± 0.007   |  73.159 ± 1.025 | **15.454 ± 0.006** |
|              Float | **14.005 ± 0.003** |  71.922 ± 0.054 |   14.516 ± 0.025   |

### Timing comparison of `float` (but coerce to `int` if possible) functions with error handling

| Input type         | try/except (ms) | regex (ms)      | fastnumbers (ms)   |
| -----------------: | --------------: | --------------: | -----------------: |
|  Non-number String |  68.719 ± 0.243 |  55.401 ± 0.393 | **18.782 ± 0.006** |
|   Small Int String |  36.957 ± 0.129 |  48.023 ± 0.054 | **17.754 ± 0.037** |
|         Int String |  40.035 ± 0.591 |  52.409 ± 0.050 | **20.060 ± 0.003** |
|  Medium Int String |  42.908 ± 0.132 |  60.624 ± 0.053 | **20.269 ± 0.005** |
|   Large Int String |  72.238 ± 0.139 |  81.613 ± 0.070 | **31.075 ± 0.036** |
| Small Float String |  38.342 ± 1.415 |  81.530 ± 0.083 | **19.577 ± 0.006** |
|       Float String |  71.830 ± 0.178 | 121.067 ± 0.057 | **27.074 ± 0.020** |
| Large Float String | 128.415 ± 0.665 | 151.575 ± 0.325 | **42.617 ± 0.035** |
|                Int |  34.241 ± 0.061 |  77.433 ± 0.346 | **14.564 ± 0.007** |
|              Float |  55.258 ± 0.045 |  76.557 ± 0.014 | **27.071 ± 0.017** |

### Timing comparison of forced `int` functions with error handling

| Input type         | try/except (ms)    | regex (ms)      | fastnumbers (ms)   |
| -----------------: | -----------------: | --------------: | -----------------: |
|  Non-number String |  195.133 ± 2.454   |  48.912 ± 0.089 | **18.191 ± 0.010** |
|   Small Int String |   20.962 ± 0.004   |  44.613 ± 0.019 | **16.862 ± 0.005** |
|         Int String |   22.179 ± 0.027   |  48.783 ± 0.022 | **19.237 ± 0.008** |
|  Medium Int String |   24.012 ± 0.004   |  92.834 ± 1.165 | **19.419 ± 0.004** |
|   Large Int String | **30.140 ± 0.041** | 133.242 ± 1.175 |   30.153 ± 0.004   |
| Small Float String |  151.625 ± 0.331   |  86.278 ± 0.107 | **21.286 ± 0.012** |
|       Float String |  186.306 ± 6.400   | 131.265 ± 1.109 | **25.684 ± 0.020** |
| Large Float String |  227.054 ± 0.876   | 178.061 ± 0.415 | **41.366 ± 0.031** |
|                Int |   14.497 ± 0.010   |  71.896 ± 0.022 | **13.100 ± 0.010** |
|              Float | **25.690 ± 0.015** |  82.895 ± 0.271 |   26.751 ± 0.024   |

### Timing comparison to check if value can be converted to `int`

| Input type         | try/except (ms) | regex (ms)     | fastnumbers (ms)   |
| -----------------: | --------------: | -------------: | -----------------: |
|  Non-number String | 131.808 ± 7.581 | 51.922 ± 0.062 |  **9.296 ± 0.032** |
|   Small Int String |  33.097 ± 0.065 | 54.644 ± 0.017 |  **9.372 ± 0.013** |
|         Int String |  34.811 ± 0.126 | 57.934 ± 0.069 |  **9.594 ± 0.016** |
|  Medium Int String |  36.359 ± 0.033 | 64.045 ± 0.044 |  **9.570 ± 0.042** |
|   Large Int String |  42.702 ± 0.330 | 78.674 ± 0.211 |  **9.569 ± 0.033** |
| Small Float String | 126.817 ± 0.342 | 55.851 ± 0.033 | **10.376 ± 0.014** |
|       Float String | 129.871 ± 0.442 | 61.760 ± 0.021 | **10.782 ± 0.019** |
| Large Float String | 138.514 ± 8.729 | 61.959 ± 0.053 | **10.845 ± 0.011** |
|                Int |  26.367 ± 0.069 | 23.062 ± 0.005 |  **8.121 ± 0.050** |
|              Float |  37.402 ± 0.019 | 21.811 ± 0.342 |  **8.299 ± 0.061** |

### Timing comparison to check if value can be converted to `float`

| Input type         | try/except (ms) | regex (ms)     | fastnumbers (ms)   |
| -----------------: | --------------: | -------------: | -----------------: |
|  Non-number String |  67.674 ± 0.206 | 52.672 ± 0.040 | **10.220 ± 0.024** |
|   Small Int String |  32.701 ± 0.040 | 61.751 ± 0.740 | **10.333 ± 0.027** |
|         Int String |  33.418 ± 0.052 | 64.819 ± 0.640 | **10.449 ± 0.007** |
|  Medium Int String |  34.353 ± 0.099 | 72.758 ± 0.718 | **10.485 ± 0.016** |
|   Large Int String |  54.824 ± 0.040 | 85.796 ± 0.786 | **10.509 ± 0.037** |
| Small Float String |  32.873 ± 0.048 | 60.077 ± 0.072 | **11.158 ± 0.004** |
|       Float String |  53.899 ± 4.194 | 75.834 ± 0.087 | **11.679 ± 0.004** |
| Large Float String |  74.070 ± 0.093 | 82.292 ± 0.155 | **11.692 ± 0.042** |
|                Int |  27.359 ± 0.016 | 23.535 ± 0.038 |  **9.204 ± 0.015** |
|              Float |  26.269 ± 0.190 | 28.516 ± 8.667 | **11.593 ± 5.011** |

### Timing comparison to check if value can be converted to `float` or `int`

| Input type         | try/except (ms) | regex (ms)     | fastnumbers (ms)   |
| -----------------: | --------------: | -------------: | -----------------: |
|  Non-number String |  67.592 ± 0.169 | 52.654 ± 0.885 | **10.039 ± 0.100** |
|   Small Int String |  20.560 ± 0.003 | 60.469 ± 0.054 | **10.111 ± 0.004** |
|         Int String |  21.266 ± 0.069 | 63.658 ± 0.030 | **10.341 ± 0.004** |
|  Medium Int String |  22.484 ± 0.132 | 69.842 ± 0.189 | **10.371 ± 0.008** |
|   Large Int String |  42.634 ± 0.053 | 84.695 ± 0.752 | **10.332 ± 0.008** |
| Small Float String |  20.923 ± 0.004 | 60.980 ± 3.967 | **11.119 ± 0.040** |
|       Float String |  40.436 ± 1.383 | 78.966 ± 1.634 | **11.471 ± 0.069** |
| Large Float String |  61.806 ± 0.042 | 80.923 ± 0.065 | **11.531 ± 0.022** |
|                Int |  16.036 ± 0.022 | 20.523 ± 0.020 |  **8.891 ± 0.020** |
|              Float |  14.483 ± 0.001 | 18.517 ± 0.008 |  **9.129 ± 0.005** |

### Timing comparison to check if value can be coerced losslessly to `int`

| Input type         | try/except (ms) | regex (ms)      | fastnumbers (ms)   |
| -----------------: | --------------: | --------------: | -----------------: |
|  Non-number String | 194.799 ± 0.727 |  48.919 ± 0.057 |  **9.118 ± 0.050** |
|   Small Int String |  40.780 ± 0.701 |  32.338 ± 0.101 |  **8.945 ± 0.043** |
|         Int String |  42.099 ± 0.042 |  35.409 ± 0.011 |  **9.109 ± 0.041** |
|  Medium Int String |  46.993 ± 0.064 |  41.571 ± 0.082 |  **9.112 ± 0.059** |
|   Large Int String |  79.255 ± 0.077 |  56.696 ± 1.811 |  **9.108 ± 0.024** |
| Small Float String | 151.490 ± 2.006 |  81.929 ± 1.013 | **10.089 ± 0.090** |
|       Float String | 179.496 ± 1.727 | 121.707 ± 1.016 | **10.416 ± 0.064** |
| Large Float String | 208.664 ± 2.353 | 151.788 ± 0.210 | **10.568 ± 0.032** |
|                Int |  28.804 ± 0.025 |  75.294 ± 4.210 |  **7.889 ± 0.066** |
|              Float |  52.611 ± 0.044 | 103.256 ± 1.047 |  **8.086 ± 0.028** |

### Timing comparison of `map` option vs. iterating over `try_float` for a 50 element list

| Input type         | [try_float(x) for x in iterable] (ms) | list(map(try_float, iterable)) (ms) | list(try_float(iterable, map=True)) (ms) | try_float(iterable, map=list) (ms) |
| -----------------: | ------------------------------------: | ----------------------------------: | ---------------------------------------: | ---------------------------------: |
|  Non-number String |                      1037.707 ± 2.570 |                    960.152 ± 4.886  |                          579.796 ± 0.594 |                **519.344 ± 1.347** |
|   Small Int String |                       983.185 ± 0.878 |                    911.148 ± 3.550  |                          528.966 ± 1.418 |                **469.440 ± 0.899** |
|         Int String |                      1005.440 ± 2.221 |                    917.823 ± 0.727  |                          539.691 ± 4.334 |                **477.990 ± 1.464** |
|  Medium Int String |                      1039.882 ± 0.928 |                    940.476 ± 0.692  |                          553.740 ± 3.451 |                **490.650 ± 0.336** |
|   Large Int String |                      1260.645 ± 5.781 |                   1165.841 ± 0.434  |                          763.209 ± 1.774 |                **700.401 ± 2.590** |
| Small Float String |                      1030.957 ± 3.514 |                    933.365 ± 4.517  |                          545.945 ± 3.495 |                **480.909 ± 0.932** |
|       Float String |                      1096.457 ± 3.821 |                   1017.227 ± 2.579  |                          605.807 ± 0.314 |                **545.345 ± 0.578** |
| Large Float String |                      1106.959 ± 0.516 |                   1041.786 ± 4.965  |                          614.232 ± 3.658 |                **553.534 ± 3.317** |
|                Int |                       892.912 ± 3.706 |                    825.177 ± 10.391 |                          420.672 ± 0.776 |                **363.225 ± 3.502** |
|              Float |                       848.361 ± 3.931 |                    757.406 ± 4.858  |                          380.570 ± 0.446 |                **320.717 ± 0.066** |

### Timing comparison of `try_array` vs. `map` option for a 50 element list to a numpy array

| Input type         | np.array(try_float(iterable, map=True)) (ms) | try_array(iterable) (ms) | try_array(iterable, output) (ms) |
| -----------------: | -------------------------------------------: | -----------------------: | -------------------------------: |
|   Small Int String |                              669.868 ± 9.593 |          304.980 ± 0.741 |              **285.220 ± 0.557** |
|         Int String |                              674.323 ± 4.091 |          330.338 ± 0.358 |              **298.028 ± 0.798** |
|  Medium Int String |                              685.949 ± 0.935 |          333.569 ± 4.652 |              **310.673 ± 0.892** |
|   Large Int String |                              904.234 ± 3.792 |          547.190 ± 1.287 |              **524.761 ± 2.040** |
| Small Float String |                              680.257 ± 1.703 |          323.580 ± 0.320 |              **300.972 ± 0.751** |
|       Float String |                              741.684 ± 1.625 |          389.589 ± 0.779 |              **372.897 ± 2.749** |
| Large Float String |                              757.028 ± 1.343 |          419.839 ± 1.975 |              **399.813 ± 1.221** |
|                Int |                              580.083 ± 9.274 |          343.343 ± 2.708 |              **321.165 ± 0.715** |
|              Float |                              531.391 ± 3.817 |          285.648 ± 0.420 |              **266.901 ± 2.505** |

