sys.version_info(major=3, minor=9, micro=16, releaselevel='final', serial=0)

### Timing comparison of `int` functions

| Input type        | builtin (ms)       | fastnumbers (ms)   |
| ----------------: | -----------------: | -----------------: |
|  Small Int String |   13.651 ± 0.085   | **12.096 ± 0.071** |
|        Int String |   14.843 ± 0.026   | **14.204 ± 1.386** |
| Medium Int String |   16.822 ± 0.016   | **14.124 ± 0.142** |
|  Large Int String | **22.708 ± 0.029** |   25.055 ± 0.085   |
|               Int |  **7.133 ± 0.074** |    8.429 ± 0.007   |
|             Float | **17.902 ± 2.227** |   20.670 ± 0.012   |

### Timing comparison of `float` functions

| Input type         | builtin (ms)      | fastnumbers (ms)   |
| -----------------: | ----------------: | -----------------: |
|   Small Int String |  12.815 ± 0.076   | **11.903 ± 1.975** |
|         Int String |  13.385 ± 0.053   | **11.899 ± 0.011** |
|  Medium Int String |  14.480 ± 0.026   | **12.181 ± 0.051** |
|   Large Int String |  35.599 ± 0.023   | **16.551 ± 0.743** |
| Small Float String |  13.284 ± 0.013   | **12.023 ± 0.007** |
|       Float String |  31.907 ± 0.016   | **13.451 ± 0.008** |
| Large Float String |  54.142 ± 0.018   | **13.630 ± 0.015** |
|                Int | **8.531 ± 1.207** |    9.675 ± 0.027   |
|              Float | **6.907 ± 0.078** |    8.644 ± 0.005   |

### Timing comparison of `int` functions with error handling

| Input type         | try/except (ms)    | regex (ms)     | fastnumbers (ms)   |
| -----------------: | -----------------: | -------------: | -----------------: |
|  Non-number String |  126.009 ± 0.431   | 25.614 ± 0.056 | **17.543 ± 0.043** |
|   Small Int String |   19.780 ± 0.004   | 42.922 ± 0.022 | **17.076 ± 0.016** |
|         Int String |   21.049 ± 0.004   | 47.311 ± 0.030 | **18.761 ± 0.024** |
|  Medium Int String |   23.021 ± 0.011   | 55.490 ± 0.135 | **19.510 ± 1.162** |
|   Large Int String | **29.094 ± 0.014** | 80.353 ± 5.790 |   29.707 ± 0.014   |
| Small Float String |  123.322 ± 0.391   | 29.286 ± 0.054 | **17.542 ± 0.008** |
|       Float String |  127.646 ± 0.299   | 35.279 ± 0.015 | **17.891 ± 0.005** |
| Large Float String |  132.059 ± 0.799   | 35.299 ± 0.040 | **18.067 ± 0.020** |
|                Int |   14.786 ± 0.413   | 67.254 ± 1.170 | **12.920 ± 0.005** |
|              Float | **23.849 ± 0.038** | 77.373 ± 0.049 |   25.635 ± 0.044   |

### Timing comparison of `float` functions with error handling

| Input type         | try/except (ms)    | regex (ms)      | fastnumbers (ms)   |
| -----------------: | -----------------: | --------------: | -----------------: |
|  Non-number String |   68.998 ± 0.253   |  32.235 ± 0.011 | **19.949 ± 1.620** |
|   Small Int String |   18.986 ± 0.013   |  54.193 ± 0.030 | **18.211 ± 0.022** |
|         Int String |   19.629 ± 0.019   |  59.861 ± 0.977 | **18.367 ± 0.027** |
|  Medium Int String |   20.711 ± 0.011   |  66.439 ± 1.065 | **18.907 ± 0.054** |
|   Large Int String |   42.045 ± 0.001   | 101.767 ± 0.436 | **23.659 ± 0.010** |
| Small Float String |   19.470 ± 0.019   |  53.765 ± 0.924 | **18.555 ± 0.019** |
|       Float String |   38.186 ± 0.045   |  87.653 ± 0.185 | **20.180 ± 0.005** |
| Large Float String |   60.694 ± 0.035   | 118.437 ± 2.072 | **20.507 ± 0.004** |
|                Int | **14.184 ± 0.004** |  73.745 ± 0.291 |   15.477 ± 0.047   |
|              Float | **12.524 ± 0.022** |  71.241 ± 0.406 |   14.158 ± 0.009   |

### Timing comparison of `float` (but coerce to `int` if possible) functions with error handling

| Input type         | try/except (ms) | regex (ms)      | fastnumbers (ms)   |
| -----------------: | --------------: | --------------: | -----------------: |
|  Non-number String |  69.734 ± 0.273 |  53.491 ± 0.095 | **19.540 ± 0.008** |
|   Small Int String |  32.844 ± 0.018 |  45.488 ± 0.077 | **18.498 ± 0.012** |
|         Int String |  36.396 ± 0.836 |  49.872 ± 0.104 | **20.663 ± 0.037** |
|  Medium Int String |  39.235 ± 0.036 |  57.836 ± 0.010 | **20.914 ± 0.022** |
|   Large Int String |  68.931 ± 0.051 |  78.406 ± 0.050 | **31.609 ± 0.011** |
| Small Float String |  33.298 ± 0.024 |  80.968 ± 2.416 | **20.385 ± 0.036** |
|       Float String |  67.372 ± 0.029 | 120.978 ± 1.209 | **28.178 ± 0.001** |
| Large Float String | 123.328 ± 0.215 | 149.853 ± 0.113 | **43.697 ± 0.029** |
|                Int |  31.375 ± 0.112 |  72.405 ± 0.095 | **14.414 ± 0.005** |
|              Float |  50.145 ± 0.014 |  71.895 ± 1.946 | **26.130 ± 0.021** |

### Timing comparison of forced `int` functions with error handling

| Input type         | try/except (ms)    | regex (ms)      | fastnumbers (ms)   |
| -----------------: | -----------------: | --------------: | -----------------: |
|  Non-number String |  196.987 ± 0.806   |  46.711 ± 0.031 | **19.555 ± 0.241** |
|   Small Int String |   19.820 ± 0.024   |  42.300 ± 0.080 | **18.143 ± 0.008** |
|         Int String |   21.077 ± 0.021   |  47.798 ± 2.666 | **20.442 ± 0.027** |
|  Medium Int String |   23.027 ± 0.008   |  87.631 ± 0.135 | **20.675 ± 0.023** |
|   Large Int String | **29.314 ± 0.318** | 127.952 ± 0.569 |   31.516 ± 0.026   |
| Small Float String |  149.795 ± 1.782   |  79.391 ± 0.055 | **19.103 ± 0.005** |
|       Float String |  177.062 ± 1.835   | 127.381 ± 0.201 | **27.542 ± 0.009** |
| Large Float String |  224.054 ± 5.254   | 172.661 ± 0.400 | **43.286 ± 0.031** |
|                Int |   13.528 ± 0.665   |  67.966 ± 1.967 | **13.210 ± 0.005** |
|              Float | **23.908 ± 0.035** |  77.514 ± 0.316 |   26.393 ± 0.361   |

### Timing comparison to check if value can be converted to `int`

| Input type         | try/except (ms) | regex (ms)     | fastnumbers (ms)   |
| -----------------: | --------------: | -------------: | -----------------: |
|  Non-number String | 128.908 ± 0.552 | 48.048 ± 0.030 |  **8.631 ± 0.030** |
|   Small Int String |  28.196 ± 0.022 | 51.870 ± 1.496 |  **8.626 ± 0.054** |
|         Int String |  29.615 ± 0.036 | 54.196 ± 0.124 |  **9.114 ± 0.038** |
|  Medium Int String |  31.683 ± 0.065 | 63.347 ± 6.558 |  **8.881 ± 0.061** |
|   Large Int String |  37.662 ± 0.038 | 75.245 ± 0.387 |  **8.867 ± 0.039** |
| Small Float String | 123.335 ± 0.168 | 52.297 ± 0.057 |  **9.627 ± 0.027** |
|       Float String | 126.901 ± 1.670 | 59.041 ± 0.051 | **10.090 ± 0.062** |
| Large Float String | 132.962 ± 0.483 | 59.004 ± 0.057 | **10.122 ± 0.061** |
|                Int |  23.189 ± 0.538 | 21.078 ± 0.013 |  **7.802 ± 0.073** |
|              Float |  32.174 ± 0.043 | 19.883 ± 0.010 |  **7.838 ± 0.021** |

### Timing comparison to check if value can be converted to `float`

| Input type         | try/except (ms) | regex (ms)     | fastnumbers (ms)   |
| -----------------: | --------------: | -------------: | -----------------: |
|  Non-number String |  69.403 ± 0.134 | 49.434 ± 0.032 |  **9.530 ± 0.051** |
|   Small Int String |  27.630 ± 0.093 | 59.614 ± 4.516 |  **9.774 ± 0.008** |
|         Int String |  28.230 ± 0.010 | 60.785 ± 0.192 | **10.077 ± 0.046** |
|  Medium Int String |  29.301 ± 0.012 | 67.274 ± 1.192 |  **9.946 ± 0.060** |
|   Large Int String |  51.439 ± 0.024 | 81.431 ± 0.546 |  **9.815 ± 0.037** |
| Small Float String |  28.064 ± 0.036 | 56.580 ± 0.800 | **10.745 ± 0.006** |
|       Float String |  47.782 ± 0.059 | 71.743 ± 0.235 | **11.216 ± 0.009** |
| Large Float String |  70.765 ± 0.046 | 78.677 ± 0.679 | **11.271 ± 0.040** |
|                Int |  22.693 ± 0.040 | 21.452 ± 0.034 |  **8.601 ± 0.056** |
|              Float |  21.013 ± 0.004 | 19.464 ± 0.011 |  **8.598 ± 0.054** |

### Timing comparison to check if value can be converted to `float` or `int`

| Input type         | try/except (ms) | regex (ms)     | fastnumbers (ms)   |
| -----------------: | --------------: | -------------: | -----------------: |
|  Non-number String |  68.918 ± 0.247 | 48.873 ± 0.043 | **10.648 ± 1.483** |
|   Small Int String |  19.561 ± 0.007 | 57.183 ± 0.575 |  **9.628 ± 0.017** |
|         Int String |  20.226 ± 0.006 | 60.038 ± 0.081 |  **9.945 ± 0.022** |
|  Medium Int String |  21.385 ± 0.301 | 66.465 ± 0.304 |  **9.951 ± 0.009** |
|   Large Int String |  42.546 ± 0.032 | 80.959 ± 0.218 |  **9.905 ± 0.010** |
| Small Float String |  20.028 ± 0.006 | 56.251 ± 0.398 | **10.544 ± 0.017** |
|       Float String |  38.777 ± 0.026 | 71.665 ± 0.346 | **11.023 ± 0.015** |
| Large Float String |  61.381 ± 0.030 | 78.195 ± 0.293 | **11.113 ± 0.019** |
|                Int |  14.782 ± 0.040 | 19.006 ± 0.003 |  **8.421 ± 0.059** |
|              Float |  13.138 ± 0.008 | 17.258 ± 0.003 |  **8.607 ± 0.020** |

### Timing comparison to check if value can be coerced losslessly to `int`

| Input type         | try/except (ms) | regex (ms)      | fastnumbers (ms)  |
| -----------------: | --------------: | --------------: | ----------------: |
|  Non-number String | 198.279 ± 6.454 |  48.916 ± 0.901 | **8.388 ± 0.033** |
|   Small Int String |  38.142 ± 0.253 |  30.698 ± 0.006 | **8.379 ± 0.036** |
|         Int String |  39.885 ± 0.046 |  33.671 ± 0.188 | **8.716 ± 0.010** |
|  Medium Int String |  45.130 ± 0.059 |  39.734 ± 0.010 | **8.741 ± 0.175** |
|   Large Int String |  78.477 ± 0.066 |  54.226 ± 0.161 | **8.587 ± 0.049** |
| Small Float String | 148.144 ± 0.570 |  79.382 ± 0.873 | **9.452 ± 0.030** |
|       Float String | 169.624 ± 1.015 | 124.210 ± 0.528 | **9.931 ± 0.003** |
| Large Float String | 199.449 ± 0.721 | 151.911 ± 0.528 | **9.851 ± 0.029** |
|                Int |  26.589 ± 0.031 |  68.913 ± 0.250 | **7.507 ± 0.065** |
|              Float |  50.307 ± 2.006 | 100.357 ± 0.183 | **7.571 ± 0.021** |

### Timing comparison of `map` option vs. iterating over `try_float` for a 50 element list

| Input type         | [try_float(x) for x in iterable] (ms) | list(map(try_float, iterable)) (ms) | list(try_float(iterable, map=True)) (ms) | try_float(iterable, map=list) (ms) |
| -----------------: | ------------------------------------: | ----------------------------------: | ---------------------------------------: | ---------------------------------: |
|  Non-number String |                     1104.571 ± 16.457 |                   1002.597 ± 5.727  |                         585.278 ± 4.643  |                **520.386 ± 0.160** |
|   Small Int String |                     1086.198 ± 26.903 |                    995.410 ± 9.925  |                         561.398 ± 10.919 |                **487.255 ± 2.562** |
|         Int String |                     1135.490 ± 3.069  |                    986.150 ± 32.913 |                         547.204 ± 1.484  |                **481.627 ± 0.883** |
|  Medium Int String |                     1097.460 ± 1.757  |                    963.461 ± 3.886  |                         563.170 ± 2.397  |                **496.681 ± 0.218** |
|   Large Int String |                     1316.222 ± 2.073  |                   1210.110 ± 3.853  |                         770.220 ± 0.408  |                **704.117 ± 0.188** |
| Small Float String |                     1074.648 ± 2.644  |                    948.521 ± 1.234  |                         571.533 ± 19.551 |                **502.232 ± 8.625** |
|       Float String |                     1178.499 ± 14.269 |                   1075.171 ± 16.929 |                         620.742 ± 0.913  |                **554.279 ± 3.023** |
| Large Float String |                     1164.468 ± 7.034  |                   1060.608 ± 3.636  |                         634.728 ± 2.736  |                **561.333 ± 0.805** |
|                Int |                      888.412 ± 3.736  |                    788.176 ± 4.545  |                         427.349 ± 0.934  |                **364.555 ± 0.424** |
|              Float |                      808.959 ± 7.812  |                    727.894 ± 8.191  |                         380.114 ± 1.456  |                **320.260 ± 2.669** |

### Timing comparison of `try_array` vs. `map` option for a 50 element list to a numpy array

| Input type         | np.array(try_float(iterable, map=True)) (ms) | try_array(iterable) (ms) | try_array(iterable, output) (ms) |
| -----------------: | -------------------------------------------: | -----------------------: | -------------------------------: |
|   Small Int String |                             668.469 ± 0.452  |          307.021 ± 0.185 |              **288.770 ± 1.198** |
|         Int String |                             686.129 ± 1.987  |          319.070 ± 1.445 |              **300.221 ± 0.173** |
|  Medium Int String |                             700.306 ± 2.198  |          336.307 ± 4.616 |              **334.856 ± 3.052** |
|   Large Int String |                             942.309 ± 11.606 |          562.068 ± 3.776 |              **536.699 ± 3.825** |
| Small Float String |                             717.590 ± 5.627  |          342.301 ± 8.862 |              **327.554 ± 2.291** |
|       Float String |                             784.617 ± 3.725  |          423.661 ± 2.002 |              **396.020 ± 1.143** |
| Large Float String |                             806.635 ± 8.079  |          432.954 ± 3.492 |              **414.813 ± 1.535** |
|                Int |                             596.151 ± 7.083  |          355.799 ± 0.973 |              **340.084 ± 4.310** |
|              Float |                             545.639 ± 4.140  |          286.138 ± 5.404 |              **264.487 ± 2.991** |

